Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353898 - wrong pool name in RBD list after pool rename
Summary: wrong pool name in RBD list after pool rename
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: core
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3
Assignee: gowtham
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 11:16 UTC by Martin Kudlej
Modified: 2018-11-19 05:44 UTC (History)
2 users (show)

Fixed In Version: rhscon-ceph-0.0.34-1.el7scon
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
same issue after forget, rename,import - rbds are doubled (deleted)
2016-07-13 12:32 UTC, Martin Kudlej
no flags Details


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 283972 None None None 2016-07-25 06:09:37 UTC

Description Martin Kudlej 2016-07-08 11:16:45 UTC
Description of problem:
If user rename pool there are wrong pool name for related RBDs in RBD list.
Ceph reports correct names for pool for RBDs.
$ rados -c /etc/ceph/testcl1.conf --pool pool20 ls
rbd_directory
rbd_header.91722ae8944a
rbd_object_map.91722ae8944a
rbd_id.rbd2
$ ceph -c /etc/ceph/testcl1.conf osd pool ls detail
pool 1 'pool1' replicated size 2 min_size 1 crush_ruleset 1 object_hash rjenkins pg_num 128 pgp_num 128 last_change 80 flags hashpspool stripe_width 0
	removed_snaps [1~3]
pool 2 'pool20' replicated size 3 min_size 1 crush_ruleset 1 object_hash rjenkins pg_num 128 pgp_num 128 last_change 92 flags hashpspool max_bytes 80458734299 max_objects 200 stripe_width 0
	removed_snaps [1~3]
pool 3 'pool3' replicated size 2 min_size 1 crush_ruleset 1 object_hash rjenkins pg_num 128 pgp_num 128 last_change 63 flags hashpspool stripe_width 0
pool 4 'pool4' replicated size 2 min_size 1 crush_ruleset 1 object_hash rjenkins pg_num 128 pgp_num 128 last_change 82 flags hashpspool stripe_width 0
	removed_snaps [1~3]
pool 5 'pool_ec' erasure size 3 min_size 2 crush_ruleset 2 object_hash rjenkins pg_num 128 pgp_num 128 last_change 88 flags hashpspool stripe_width 4096

API output:
$ ./clusters.sh | jq .
{
  "storageid": "5636ba58-9336-4ae1-9601-38f1b1aa6f08",
  "name": "pool20",
  "type": "replicated",
  "tags": [],
  "clusterid": "d3017487-9089-4a41-af11-e52395a9e873",
  "size": "51GB",
  "status": 0,
  "replicas": 3,
  "profile": "general",
  "snapshots_enabled": false,
  "snapshot_schedule_ids": [],
  "quota_enabled": true,
  "quota_params": {
    "quota_max_bytes": "80458734299",
    "quota_max_objects": "200"
  },
  "options": {
    "crash_replay_interval": "0",
    "crush_ruleset": "1",
    "full": "false",
    "hashpspool": "true",
    "id": "2",
    "min_size": "1",
    "pg_num": "128",
    "pgp_num": "128"
  },
  "usage": {
    "used": 114,
    "total": 107277300724,
    "percentused": 1.062666558821199e-07,
    "updatedat": "2016-07-08 13:06:19.489804678 +0200 CEST"
  },
  "state": "",
  "almstatus": 0,
  "almwarncount": 0,
  "almcritcount": 0,
  "slus": [
    "9c34b4bd-e9c0-45b3-9ba2-e571f13b829c",
    "be929df2-9a47-4092-99a8-3478151a2a48",
    "b992cebb-8c5c-42da-8a9e-593ba1a52ab4"
  ]
}
$ ./clusters.sh | jq .
[
  {
    "id": "b91c317d-5ad6-451d-a15e-03fdedd55aca",
    "name": "rbd2",
    "tags": [],
    "clusterid": "d3017487-9089-4a41-af11-e52395a9e873",
    "clustername": "testcl1",
    "storageid": "5636ba58-9336-4ae1-9601-38f1b1aa6f08",
    "storagename": "pool2", <------------------------------------------------!!!!
    "size": "1024MB",
    "snapshots_enabled": false,
    "snapshot_schedule_ids": [],
    "quota_enabled": false,
    "quota_params": {},
    "options": {},
    "usage": {
      "used": 0,
      "total": 1073741824,
      "percentused": 0,
      "updatedat": "2016-07-08 13:06:19.157984622 +0200 CEST"
    },
    "almstatus": 0,
    "almwarncount": 0,
    "almcritcount": 0
  }
]


Version-Release number of selected component (if applicable):
monitor:
calamari-server-1.4.2-1.el7cp.x86_64
ceph-base-10.2.2-5.el7cp.x86_64
ceph-common-10.2.2-5.el7cp.x86_64
ceph-mon-10.2.2-5.el7cp.x86_64
ceph-selinux-10.2.2-5.el7cp.x86_64
libcephfs1-10.2.2-5.el7cp.x86_64
python-cephfs-10.2.2-5.el7cp.x86_64
rhscon-agent-0.0.13-1.el7scon.noarch

server:
ceph-ansible-1.0.5-23.el7scon.noarch
ceph-installer-1.0.12-3.el7scon.noarch
rhscon-ceph-0.0.29-1.el7scon.x86_64
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-core-selinux-0.0.29-1.el7scon.noarch
rhscon-ui-0.0.43-1.el7scon.noarch


How reproducible:
100%

Steps to Reproduce:
1. create poolX
2. create RBD in poolX
3. rename poolX to poolY
4. check if RBD(now in poolY) has in USM UI and API correct pool name(poolY and not poolX)

Comment 2 Martin Kudlej 2016-07-13 12:32:51 UTC
Created attachment 1179235 [details]
same issue after forget, rename,import - rbds are doubled

Comment 3 Martin Kudlej 2016-07-13 12:47:14 UTC
Comment on attachment 1179235 [details]
same issue after forget, rename,import - rbds are doubled

this screenshot seems to be separated issue

Comment 4 Shubhendu Tripathi 2018-11-19 05:43:57 UTC
This product is EOL now


Note You need to log in before you can comment on or make changes to this bug.